Commit b42a7489 authored by Lukáš Krupčík's avatar Lukáš Krupčík

Merge branch 'it4i-anselm'

parents ec75cddb a1c22cce
......@@ -15,9 +15,9 @@ source_urls = ['http://download.osgeo.org/gdal/%(version)s/']
sources = [SOURCELOWER_TAR_GZ]
dependencies = [('zlib', '1.2.8'),]
configopts = '--with-python=/usr/bin/python '
dependencies = [
('zlib', '1.2.11'),
]
# to avoid libtool error, http://www.michael-joost.de/gdal_install.html
preconfigopts = 'unset CC CPP CXX &&'
......
easyblock = 'ConfigureMake'
name = 'PostgreSQL'
version = '9.6.9'
versionsuffix = '-Py-2.7'
homepage = 'http://www.mysql.com/'
description = """PostgreSQL is a powerful, open source object-relational database system.
It is fully ACID compliant, has full support for foreign keys,
joins, views, triggers, and stored procedures (in multiple languages).
It includes most SQL:2008 data types, including INTEGER,
NUMERIC, BOOLEAN, CHAR, VARCHAR, DATE, INTERVAL, and TIMESTAMP.
It also supports storage of binary large objects, including pictures,
sounds, or video. It has native programming interfaces for C/C++, Java,
.Net, Perl, Python, Ruby, Tcl, ODBC, among others, and exceptional documentation."""
source_urls = ['http://ftp.postgresql.org/pub/source/v%(version)s/']
sources = [SOURCELOWER_TAR_GZ]
toolchain = {'name': 'Py', 'version': '2.7'}
osdependencies = [('openssl-devel', 'libssl-dev')]
dependencies = [
('libreadline', '7.0', '', True),
('zlib', '1.2.11', '', True),
]
builddependencies = [
('Bison', '3.0.4', '', True),
('flex', '2.6.0', '', True),
('Perl', '5.26.2', '-GCC-6.3.0-2.27', True),
]
configopts = '--with-python --with-openssl'
sanity_check_paths = {
'files': ['bin/psql', 'bin/pg_config', 'lib/libpq.a', 'lib/libpq.%s' % SHLIB_EXT],
'dirs': ['share/postgresql'],
}
moduleclass = 'data'
easyblock = 'PythonPackage'
name = 'psycopg2'
version = '2.7.4'
versionsuffix = '-Py-2.7'
homepage = 'http://initd.org/psycopg/'
description = "Psycopg is the most popular PostgreSQL adapter for the Python programming language."
toolchain = {'name': 'Py', 'version': '2.7'}
source_urls = [PYPI_SOURCE]
sources = [SOURCE_TAR_GZ]
dependencies = [
('PostgreSQL', '10.4'),
]
sanity_check_paths = {
'files': [],
'dirs': ['lib/python%(pyshortver)s/site-packages'],
}
moduleclass = 'lib'
......@@ -9,26 +9,27 @@
# This work implements a part of the HPCBIOS project and is a component of the policy:
# http://hpcbios.readthedocs.org/en/latest/
##
easyblock = 'ConfigureMake'
name = 'SpatiaLite'
version = '4.3.0a'
homepage = 'https://www.gaia-gis.it/fossil/libspatialite/index'
description = """SpatiaLite is an open source library intended to extend the SQLite core to support
description = """SpatiaLite is an open source library intended to extend the SQLite core to support
fully fledged Spatial SQL capabilities.
"""
toolchain = {'name': 'GCC', 'version': '6.3.0-2.27'}
toolchain = {'name': 'dummy', 'version': ''}
source_urls = ['http://www.gaia-gis.it/gaia-sins/']
sources = ['lib%(namelower)s-%(version)s.tar.gz']
builddependencies = [('SQLite', '3.18.2')]
dependencies = [('SQLite', '3.18.2'),
('PROJ_4', '4.9.2', '', True),
('GEOS', '3.5.0', '', True),
('GDAL', '2.1.0'),
('expat', '2.1.0', '', True)
dependencies = [
('SQLite', '3.21.0'),
('PROJ_4', '4.9.2', '', True),
('GEOS', '3.5.0', '', True),
('GDAL', '2.1.3', '-Python-2.7.13'),
('expat', '2.1.0', '', True),
('libxml2', '2.9.4', '', True),
]
preconfigopts = 'export LIBS="-lm -lpthread -L/apps/all/SQLite/3.18.2-GCC-6.3.0-2.27/lib" && '
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment